curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries/{id}/void' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [
{
"account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"account_name": "string",
"account_number": "string",
"credit_amount": "49.00",
"currency": "USD",
"debit_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"line_number": 1001
}
],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
}
Void a journal entry
Void a journal entry
POST
/
api
/
v1
/
gl
/
journal-entries
/
{id}
/
void
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries/{id}/void' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [
{
"account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"account_name": "string",
"account_number": "string",
"credit_amount": "49.00",
"currency": "USD",
"debit_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"line_number": 1001
}
],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
}
Path parameters
string
required
Journal entry ID
Response
JournalEntryResponse
string
required
string
required
string
required
string
required
string
required
string
required
boolean
required
JournalEntryLineResponse[]
required
string
required
string,null
string,null
string,null
string,null
string
required
string
required
string
required
Decimal total credits as a string.
string
required
Decimal total debits as a string.
Status codes
| Code | Meaning |
|---|---|
200 | — |
422 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/journal-entries/{id}/void' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [
{
"account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"account_name": "string",
"account_number": "string",
"credit_amount": "49.00",
"currency": "USD",
"debit_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"line_number": 1001
}
],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
}
Last modified on August 31, 2026